#ifndef SPECIFICHEATCOMPARISONMETHODFORM_H
#define SPECIFICHEATCOMPARISONMETHODFORM_H

#include <QWidget>
#include <QLineEdit>
#include <QLabel>
#include <qcustomplot.h>

#include "global.h"

namespace Ui {
class SpecificHeatComparisonMethodForm;
}

class SpecificHeatComparisonMethodForm : public QWidget
{
    Q_OBJECT

public:
    explicit SpecificHeatComparisonMethodForm(QWidget *parent = nullptr);
    ~SpecificHeatComparisonMethodForm();

    enum CurveType{
        BaseLine,
        StandardSample,
        Sample
    };
signals:
    void sigDrawCustomText(const QString);
public slots:
    void slotSetCurve(const int ,QCPCurve*);
protected:
    void showEvent(QShowEvent *event) override;
private slots:
    void on_pushButtonCalculate_clicked();

    void on_pushButtonQuit_clicked();
private:
    double calculateHeatCapacity(double theta);
private:
    Ui::SpecificHeatComparisonMethodForm *ui;

    QLineEdit *_baseLineLineEdit,*_standardSampleLineEdit,
    *_sampleLineEdit;
    QLabel *_baseLineLabel,*_standardSampleLabel,*_sampleLabel;

    QCPCurve *_baseLineCurve,*_standardSampleCurve,*_sampleCurve;

    QVector<Global::ExperimentData> *_baseLineDataVtr ,
    *_standardSampleDataVtr ,
    *_sampleDataVtr ;

};

#endif // SPECIFICHEATCOMPARISONMETHODFORM_H
